snd_pcm_period_elapsed
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_period_elapsed — update the pcm status for the next period

## Synopsis

`void snd_pcm_period_elapsed (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the pcm substream instance

## Description

This function is called from the interrupt handler when the PCM has processed the period size. It will update the current pointer, wake up sleepers, etc.

Even if more than one periods have elapsed since the last call, you have to call this only once.

Prev | Up | Next
snd_pcm_lib_ioctl | Home | snd_hwdep_new